{% set title = module + " - " + short_description %}
{{ title }}
{{ "=" * title | length }}

Synopsis
--------

{% for line in description %}
  {{- line }}
{% endfor %}

Options
-------

.. list-table::
   :header-rows: 1
   :widths: 5, 5, 5, 5, 70

   * - Name
     - Type
     - Required
     - Default
     - Description
{% for option_name,option_meta in options.items() %}
   * - {{ option_name }}
     - {{ option_meta.type }}
     - {% if option_meta.required %}✅{% else %}❌{% endif %}

     - {% if option_meta.default %}``{{ option_meta.default }}`` {% else %}N/A {% endif %}

     - {{ option_meta.description|map('replace', '\n', ' ')|join(' ') }}
{% endfor %}

Return Values
-------------

.. list-table::
   :header-rows: 1
   :widths: 10, 10, 100

   * - Name
     - Type
     - Description
{% for return_name,return_meta in returndocs.items() %}
   * - {{ return_name }}
     - {{ return_meta.type }}
     - {{ return_meta.description|map('replace', '\n', ' ')|join(' ') }}
{% endfor %}

Examples
--------

.. code-block:: yaml+jinja

{{ examples|indent(3, True) }}
